Valeur Mathematics
Spectral representation.

() More...

## Functions

Valeur | Lorene::operator+ (const Valeur &)
Valeur | Lorene::operator- (const Valeur &)
| `-` Valeur
Valeur | Lorene::operator+ (const Valeur &, const Valeur &)
| Valeur + Valeur.
Valeur | Lorene::operator+ (const Valeur &, const Mtbl &)
| Valeur + Mtbl.
Valeur | Lorene::operator+ (const Mtbl &, const Valeur &)
| Mtbl + Valeur.
Valeur | Lorene::operator+ (const Valeur &, double)
| Valeur + double.
Valeur | Lorene::operator+ (double, const Valeur &)
| double + Valeur
Valeur | Lorene::operator+ (const Valeur &, int)
| Valeur + int.
Valeur | Lorene::operator+ (int, const Valeur &)
| int + Valeur
Valeur | Lorene::operator- (const Valeur &, const Valeur &)
| Valeur - Valeur.
Valeur | Lorene::operator- (const Valeur &, const Mtbl &)
| Valeur - Mtbl.
Valeur | Lorene::operator- (const Mtbl &, const Valeur &)
| Mtbl - Valeur.
Valeur | Lorene::operator- (const Valeur &, double)
| Valeur - double.
Valeur | Lorene::operator- (double, const Valeur &)
| double - Valeur
Valeur | Lorene::operator- (const Valeur &, int)
| Valeur - int.
Valeur | Lorene::operator- (int, const Valeur &)
| int - Valeur
Valeur | Lorene::operator* (const Valeur &, const Valeur &)
| Valeur * Valeur.
Valeur | Lorene::operator% (const Valeur &, const Valeur &)
| Valeur * Valeur with desaliasing.
Valeur | Lorene::operator| (const Valeur &, const Valeur &)
| Valeur * Valeur with desaliasing only in r direction.
Valeur | Lorene::operator* (const Valeur &, double)
| Valeur * double.
Valeur | Lorene::operator* (double, const Valeur &)
| double * Valeur
Valeur | Lorene::operator* (const Valeur &, int)
| Valeur * int.
Valeur | Lorene::operator* (int, const Valeur &)
| int * Valeur
Valeur | Lorene::operator* (const Valeur &a, const Mtbl &b)
| Valeur * Mtbl.
Valeur | Lorene::operator* (const Mtbl &b, const Valeur &a)
| Mtbl * Valeur.
Valeur | Lorene::operator* (const Valeur &a, const Coord &c)
| Valeur * Coord.
Valeur | Lorene::operator* (const Coord &c, const Valeur &a)
| Coord * Valeur.
Valeur | Lorene::operator/ (const Valeur &a, const Valeur &b)
| Valeur / Valeur.
Valeur | Lorene::operator/ (const Valeur &, double)
| Valeur / double.
Valeur | Lorene::operator/ (double, const Valeur &)
| double / Valeur
Valeur | Lorene::operator/ (const Valeur &, int)
| Valeur / int.
Valeur | Lorene::operator/ (int, const Valeur &)
| int / Valeur
Valeur | Lorene::operator/ (const Valeur &a, const Mtbl &b)
| Valeur / Mtbl.
Valeur | Lorene::operator/ (const Mtbl &b, const Valeur &a)
| Mtbl / Valeur.
Valeur | Lorene::sin (const Valeur &)
| Sine.
Valeur | Lorene::cos (const Valeur &)
| Cosine.
Valeur | Lorene::tan (const Valeur &)
| Tangent.
Valeur | Lorene::asin (const Valeur &)
| Arcsine.
Valeur | Lorene::acos (const Valeur &)
| Arccosine.
Valeur | Lorene::atan (const Valeur &)
| Arctangent.
Valeur | Lorene::exp (const Valeur &)
| Exponential.
Valeur | Lorene::Heaviside (const Valeur &)
| Heaviside function.
Valeur | Lorene::log (const Valeur &)
| Neperian logarithm.
Valeur | Lorene::log10 (const Valeur &)
| Basis 10 logarithm.
Valeur | Lorene::sqrt (const Valeur &)
| Square root.
Valeur | Lorene::pow (const Valeur &, int)
| Power .
Valeur | Lorene::pow (const Valeur &, double)
| Power .
Valeur | Lorene::abs (const Valeur &)
| Absolute value.
Valeur | Lorene::racine_cubique (const Valeur &)
| Cube root.
double | Lorene::totalmax (const Valeur &)
| Maximum values of the `Valeur` in entire space.
double | Lorene::totalmin (const Valeur &)
| Minimum values of the `Valeur` in entire space.
Tbl | Lorene::max (const Valeur &)
| Maximum values of the `Valeur` (configuration space) in each domain.
Tbl | Lorene::min (const Valeur &)
| Minimum values of the `Valeur` (configuration space) in each domain.
Tbl | Lorene::norme (const Valeur &)
| Sums of the absolute values of all the `Valeur` (configuration space) in each domain.
Tbl | Lorene::diffrel (const Valeur &a, const Valeur &b)
| Relative difference between two `Valeur` (configuration space) (norme version).
Tbl | Lorene::diffrelmax (const Valeur &a, const Valeur &b)
| Relative difference between two `Valeur` (configuration space) (max version).

## Detailed Description

()

## Function Documentation

## abs()

Valeur Lorene::abs | ( | const Valeur & | vi | ) |

Absolute value.

Definition at line 434 of file valeur_math.C.

References abs(), Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), and Lorene::Valeur::set_etat_c_qcq().

## acos()

Valeur Lorene::acos | ( | const Valeur & | ti | ) |

Arccosine.

Definition at line 186 of file valeur_math.C.

References acos(), Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), and Lorene::Valeur::set_etat_c_qcq().

## asin()

Valeur Lorene::asin | ( | const Valeur & | ti | ) |

Arcsine.

Definition at line 161 of file valeur_math.C.

References asin(), Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), and Lorene::Valeur::set_etat_c_qcq().

## atan()

Valeur Lorene::atan | ( | const Valeur & | ti | ) |

Arctangent.

Definition at line 213 of file valeur_math.C.

References atan(), Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), and Lorene::Valeur::set_etat_c_qcq().

## cos()

Valeur Lorene::cos | ( | const Valeur & | ti | ) |

Cosine.

Definition at line 109 of file valeur_math.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), cos(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), and Lorene::Valeur::set_etat_c_qcq().

## diffrel()

Tbl Lorene::diffrel | ( | const Valeur & | a,
|  | const Valeur & | b )

Relative difference between two `Valeur` (configuration space) (norme version).

Returns
  1-D `Tbl` of size the number of domains, the elements of which are `norme`[a(l)-b(l)]/norme[b(l)] if `b(l)!=0` and `norme`[a(l)-b(l)] if `b(l)=0` , where `a(l)` and `b(l)` denote symbolically the values of `a` and `b`
  in domain no. `l` .

Definition at line 628 of file valeur_math.C.

References Lorene::Tbl::get_etat(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Lorene::Mg3d::get_nzone(), norme(), Lorene::Tbl::set(), and Lorene::Tbl::set_etat_qcq().

## diffrelmax()

Tbl Lorene::diffrelmax | ( | const Valeur & | a,
|  | const Valeur & | b )

Relative difference between two `Valeur` (configuration space) (max version).

Returns
  1-D `Tbl` of size the number of domains, the elements of which are `max`[abs(a(l)-b(l))]/max[abs(b(l))] if `b(l)!=0` and `max`[abs(a(l)-b(l))] if `b(l)=0` , where `a(l)` and `b(l)` denote symbolically the values of `a` and `b`
  in domain no. `l` .

Definition at line 662 of file valeur_math.C.

References abs(), Lorene::Tbl::get_etat(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Lorene::Mg3d::get_nzone(), max(), Lorene::Tbl::set(), and Lorene::Tbl::set_etat_qcq().

## exp()

Valeur Lorene::exp | ( | const Valeur & | ti | ) |

Exponential.

Definition at line 263 of file valeur_math.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), exp(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), and Lorene::Valeur::set_etat_c_qcq().

## Heaviside()

Valeur Lorene::Heaviside | ( | const Valeur & | ti | ) |

Heaviside function.

Definition at line 290 of file valeur_math.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Heaviside(), and Lorene::Valeur::set_etat_c_qcq().

## log()

Valeur Lorene::log | ( | const Valeur & | ti | ) |

Neperian logarithm.

Definition at line 319 of file valeur_math.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), log(), and Lorene::Valeur::set_etat_c_qcq().

## log10()

Valeur Lorene::log10 | ( | const Valeur & | ti | ) |

Basis 10 logarithm.

Definition at line 345 of file valeur_math.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), log10(), and Lorene::Valeur::set_etat_c_qcq().

## max()

Tbl Lorene::max | ( | const Valeur & | vi | ) |

Maximum values of the `Valeur` (configuration space) in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the maximum values in each domain.

Definition at line 544 of file valeur_math.C.

References Lorene::Tbl::annule_hard(), Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Lorene::Mg3d::get_nzone(), and max().

## min()

Tbl Lorene::min | ( | const Valeur & | vi | ) |

Minimum values of the `Valeur` (configuration space) in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the minimum values in each domain.

Definition at line 572 of file valeur_math.C.

References Lorene::Tbl::annule_hard(), Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Lorene::Mg3d::get_nzone(), and min().

## norme()

Tbl Lorene::norme | ( | const Valeur & | vi | ) |

Sums of the absolute values of all the `Valeur` (configuration space) in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the sums of the absolute values in each domain.

Definition at line 600 of file valeur_math.C.

References Lorene::Tbl::annule_hard(), Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Lorene::Mg3d::get_nzone(), and norme().

## operator%()

Valeur Lorene::operator% | ( | const Valeur & | t1,
|  | const Valeur & | t2 )

Valeur * Valeur with desaliasing.

Definition at line 1003 of file valeur_arithm.C.

References Lorene::Mtbl_cf::base, Lorene::Valeur::c_cf, Lorene::Valeur::coef(), Lorene::Mtbl_cf::get_etat(), Lorene::Tbl::get_etat(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Mg3d::get_twice(), Lorene::Tbl::set(), Lorene::Mtbl_cf::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Tbl::set_etat_zero(), Lorene::Mtbl_cf::t, Lorene::Valeur::ylm(), and Lorene::Valeur::ylm_i().

## operator*() [1/9]

Valeur Lorene::operator* | ( | const Coord & | c,
|  | const Valeur & | a )

Coord * Valeur.

Definition at line 637 of file valeur_arithm.C.

## operator*() [2/9]

Valeur Lorene::operator* | ( | const Mtbl & | b,
|  | const Valeur & | a )

Mtbl * Valeur.

Definition at line 601 of file valeur_arithm.C.

## operator*() [3/9]

Valeur Lorene::operator* | ( | const Valeur & | t1,
|  | const Valeur & | t2 )

Valeur * Valeur.

Definition at line 484 of file valeur_arithm.C.

References Lorene::Valeur::base, Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), and Lorene::Valeur::get_mg().

## operator*() [4/9]

Valeur Lorene::operator* | ( | const Valeur & | c1,
|  | double | a )

Valeur * double.

Definition at line 522 of file valeur_arithm.C.

References Lorene::Valeur::base, Lorene::Valeur::c, Lorene::Valeur::c_cf, Lorene::Valeur::get_etat(), and Lorene::Valeur::get_mg().

## operator*() [5/9]

Valeur Lorene::operator* | ( | const Valeur & | t1,
|  | int | m )

Valeur * int.

Definition at line 559 of file valeur_arithm.C.

## operator*() [6/9]

Valeur Lorene::operator* | ( | const Valeur & | a,
|  | const Coord & | c )

Valeur * Coord.

Definition at line 610 of file valeur_arithm.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), and Lorene::Valeur::get_mg().

## operator*() [7/9]

Valeur Lorene::operator* | ( | const Valeur & | a,
|  | const Mtbl & | b )

Valeur * Mtbl.

Definition at line 574 of file valeur_arithm.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), and Lorene::Valeur::get_mg().

## operator*() [8/9]

Valeur Lorene::operator* | ( | double | x,
|  | const Valeur & | t1 )

double * Valeur

Definition at line 552 of file valeur_arithm.C.

References x.

## operator*() [9/9]

Valeur Lorene::operator* | ( | int | m,
|  | const Valeur & | t1 )

int * Valeur

Definition at line 566 of file valeur_arithm.C.

## operator+() [1/8]

Valeur Lorene::operator+ | ( | const Mtbl & | mi,
|  | const Valeur & | t1 )

Mtbl + Valeur.

Definition at line 273 of file valeur_arithm.C.

## operator+() [2/8]

Valeur Lorene::operator+ | ( | const Valeur & | vi | ) |

- Valeur

Definition at line 145 of file valeur_arithm.C.

References Lorene::Valeur::get_etat().

## operator+() [3/8]

Valeur Lorene::operator+ | ( | const Valeur & | t1,
|  | const Mtbl & | mi )

Valeur + Mtbl.

Definition at line 244 of file valeur_arithm.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Mtbl::get_etat(), Lorene::Valeur::get_etat(), and Lorene::Valeur::set_etat_c_qcq().

## operator+() [4/8]

Valeur Lorene::operator+ | ( | const Valeur & | t1,
|  | const Valeur & | t2 )

Valeur + Valeur.

Definition at line 188 of file valeur_arithm.C.

References Lorene::Valeur::base, Lorene::Valeur::c, Lorene::Valeur::c_cf, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), and Lorene::Valeur::get_mg().

## operator+() [5/8]

Valeur Lorene::operator+ | ( | const Valeur & | t1,
|  | double | x )

Valeur + double.

Definition at line 280 of file valeur_arithm.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::set_etat_c_qcq(), and x.

## operator+() [6/8]

Valeur Lorene::operator+ | ( | const Valeur & | t1,
|  | int | m )

Valeur + int.

Definition at line 315 of file valeur_arithm.C.

## operator+() [7/8]

Valeur Lorene::operator+ | ( | double | x,
|  | const Valeur & | t1 )

double + Valeur

Definition at line 308 of file valeur_arithm.C.

References x.

## operator+() [8/8]

Valeur Lorene::operator+ | ( | int | m,
|  | const Valeur & | t1 )

int + Valeur

Definition at line 322 of file valeur_arithm.C.

## operator-() [1/8]

Valeur Lorene::operator- | ( | const Mtbl & | mi,
|  | const Valeur & | t1 )

Mtbl - Valeur.

Definition at line 421 of file valeur_arithm.C.

## operator-() [2/8]

Valeur Lorene::operator- | ( | const Valeur & | vi | ) |

`-` Valeur

Definition at line 153 of file valeur_arithm.C.

References Lorene::Valeur::base, Lorene::Valeur::c, Lorene::Valeur::c_cf, Lorene::Valeur::get_etat(), and Lorene::Valeur::get_mg().

## operator-() [3/8]

Valeur Lorene::operator- | ( | const Valeur & | t1,
|  | const Mtbl & | mi )

Valeur - Mtbl.

Definition at line 392 of file valeur_arithm.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Mtbl::get_etat(), Lorene::Valeur::get_etat(), and Lorene::Valeur::set_etat_c_qcq().

## operator-() [4/8]

Valeur Lorene::operator- | ( | const Valeur & | t1,
|  | const Valeur & | t2 )

Valeur - Valeur.

Definition at line 335 of file valeur_arithm.C.

References Lorene::Valeur::base, Lorene::Valeur::c, Lorene::Valeur::c_cf, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), and Lorene::Valeur::get_mg().

## operator-() [5/8]

Valeur Lorene::operator- | ( | const Valeur & | t1,
|  | double | x )

Valeur - double.

Definition at line 427 of file valeur_arithm.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::set_etat_c_qcq(), and x.

## operator-() [6/8]

Valeur Lorene::operator- | ( | const Valeur & | t1,
|  | int | m )

Valeur - int.

Definition at line 462 of file valeur_arithm.C.

## operator-() [7/8]

Valeur Lorene::operator- | ( | double | x,
|  | const Valeur & | t1 )

double - Valeur

Definition at line 455 of file valeur_arithm.C.

References x.

## operator-() [8/8]

Valeur Lorene::operator- | ( | int | m,
|  | const Valeur & | t1 )

int - Valeur

Definition at line 469 of file valeur_arithm.C.

## operator/() [1/7]

Valeur Lorene::operator/ | ( | const Mtbl & | b,
|  | const Valeur & | a )

Mtbl / Valeur.

Definition at line 796 of file valeur_arithm.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Mtbl::get_etat(), Lorene::Valeur::get_etat(), and Lorene::Valeur::get_mg().

## operator/() [2/7]

Valeur Lorene::operator/ | ( | const Valeur & | t1,
|  | double | x )

Valeur / double.

Definition at line 688 of file valeur_arithm.C.

References Lorene::Valeur::base, Lorene::Valeur::c, Lorene::Valeur::c_cf, Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), and x.

## operator/() [3/7]

Valeur Lorene::operator/ | ( | const Valeur & | t1,
|  | int | m )

Valeur / int.

Definition at line 753 of file valeur_arithm.C.

## operator/() [4/7]

Valeur Lorene::operator/ | ( | const Valeur & | a,
|  | const Mtbl & | b )

Valeur / Mtbl.

Definition at line 765 of file valeur_arithm.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Mtbl::get_etat(), Lorene::Valeur::get_etat(), and Lorene::Valeur::get_mg().

## operator/() [5/7]

Valeur Lorene::operator/ | ( | const Valeur & | a,
|  | const Valeur & | b )

Valeur / Valeur.

Definition at line 649 of file valeur_arithm.C.

References Lorene::Valeur::base, Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), and Lorene::Valeur::get_mg().

## operator/() [6/7]

Valeur Lorene::operator/ | ( | double | x,
|  | const Valeur & | c2 )

double / Valeur

Definition at line 720 of file valeur_arithm.C.

References Lorene::Valeur::base, Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), r, Lorene::Mg3d::std_base_scal(), and x.

## operator/() [7/7]

Valeur Lorene::operator/ | ( | int | m,
|  | const Valeur & | t1 )

int / Valeur

Definition at line 759 of file valeur_arithm.C.

## operator|()

Valeur Lorene::operator| | ( | const Valeur & | t1,
|  | const Valeur & | t2 )

Valeur * Valeur with desaliasing only in r direction.

Definition at line 1235 of file valeur_arithm.C.

References Lorene::Mtbl_cf::base, Lorene::Valeur::c_cf, Lorene::Valeur::coef(), Lorene::Mtbl_cf::get_etat(), Lorene::Tbl::get_etat(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Mg3d::plus_half(), Lorene::Tbl::set(), Lorene::Mtbl_cf::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Tbl::set_etat_zero(), and Lorene::Mtbl_cf::t.

## pow() [1/2]

Valeur Lorene::pow | ( | const Valeur & | ti,
|  | double | x )

Power .

Definition at line 403 of file valeur_math.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), pow(), Lorene::Valeur::set_etat_c_qcq(), and x.

## pow() [2/2]

Valeur Lorene::pow | ( | const Valeur & | ti,
|  | int | n )

Power .

Definition at line 371 of file valeur_math.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), pow(), Lorene::Valeur::set_etat_c_qcq(), and x.

## racine_cubique()

Valeur Lorene::racine_cubique | ( | const Valeur & | vi | ) |

Cube root.

Definition at line 463 of file valeur_math.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), racine_cubique(), and Lorene::Valeur::set_etat_c_qcq().

## sin()

Valeur Lorene::sin | ( | const Valeur & | ti | ) |

Sine.

Definition at line 84 of file valeur_math.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::set_etat_c_qcq(), and sin().

## sqrt()

Valeur Lorene::sqrt | ( | const Valeur & | ti | ) |

Square root.

Definition at line 238 of file valeur_math.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::set_etat_c_qcq(), and sqrt().

## tan()

Valeur Lorene::tan | ( | const Valeur & | ti | ) |

Tangent.

Definition at line 136 of file valeur_math.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), Lorene::Valeur::get_mg(), Lorene::Valeur::set_etat_c_qcq(), and tan().

## totalmax()

double Lorene::totalmax | ( | const Valeur & | vi | ) |

Maximum values of the `Valeur` in entire space.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the maximum values in each domain.

Definition at line 487 of file valeur_math.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), and totalmax().

## totalmin()

double Lorene::totalmin | ( | const Valeur & | vi | ) |

Minimum values of the `Valeur` in entire space.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the minimum values in each domain.

Definition at line 516 of file valeur_math.C.

References Lorene::Valeur::c, Lorene::Valeur::coef_i(), Lorene::Valeur::get_etat(), and totalmin().